/*
	File:		Foci.h

	Contains:	Definition of standard Foci for the Macintosh.

	Written by:	Richard Rodseth

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <3>	  2/9/94	NP		Tiger Team cleanup.
		 <2>	  2/7/94	NP		Tiger Team doings.
		 <1>	 1/25/94	RR		first checked in

	To Do:
*/


#ifndef _FOCI_
#define _FOCI_

#ifndef _XMPTYPES_
#include "XMPTypes.h"
#endif

// Focus Types for the Arbitrator. 
// These strings are tokenized using XMPSession::Tokenize()

const XMPTypeToken kXMPNullFocus = 0;	// Returned by iterators. Ignored	
const XMPFocusType kXMPKeyFocus = "Key";	
const XMPFocusType kXMPMenuFocus = "Menu";	
const XMPFocusType kXMPSelectionFocus = "Selection";	
const XMPFocusType kXMPModalFocus = "Modal";	
const XMPFocusType kXMPScrollingFocus = "Scrolling";	

#endif // _FOCI_
