/*
	File:		PfTSItr.h

	Contains:	Class definition for XMPPlatformTypeSetIterator.

	Written by:	Vincent Lo

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <4>	 2/17/94	CC		#1144818 - Added declaration of class
									XMPPlatformTypeSet to enable standalone
									compilation.
		 <3>	 2/15/94	CC		Bug #1142949 - Standardize iterator method
									names.
		 <2>	  2/9/94	T		made destructor explicitly virtual to
									pacify ASLM
		 <1>	  2/4/94	VL		first checked in

	To Do:

*/

#ifndef _PFTSITR_
#define _PFTSITR_

#ifndef _PLFMTYPE_
#include "PlfmType.h"
#endif

//=====================================================================================
// Classes defined in this interface
//=====================================================================================
class XMPPlatformTypeSetIterator;

//=====================================================================================
// Classes used by this interface
//=====================================================================================
class XMPPlatformTypeSet;
class OrderedCollectionIterator;

//=====================================================================================
// Class XMPPlatformTypeSetIterator
//=====================================================================================

#define kXMPPlatformTypeSetIteratorID "appl:xmpplatformtypesetiterator$class,1.0.0"

class XMPPlatformTypeSetIterator
{
public:

	XMPPlatformTypeSetIterator(XMPPlatformTypeSet* typeSet);

	virtual ~XMPPlatformTypeSetIterator();

	XMPMethod XMPBoolean		IsNotComplete();
	XMPMethod XMPPlatformType	First();
	XMPMethod XMPPlatformType	Next();
		
private:

	XMPPlatformTypeSet*			fPlatformTypeSet;
	OrderedCollectionIterator*	fIterator;
};


#endif	// _PFTSITR_
