/*
	File:		PfTypSt.h

	Contains:	Class definition for XMPPlatformTypeSet.

	Written by:	Vincent Lo

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <3>	 2/15/94	CC		Bug #1142949 - Standardize method names,
									remove Copy method.
		 <2>	  2/9/94	T		made destructor explicitly virtual to
									pacify ASLM
		 <1>	  2/4/94	VL		first checked in

	To Do:

*/

#ifndef _PFTYPST_
#define _PFTYPST_

#ifndef _XMPTYPES_
#include "XMPTypes.h"
#endif

//=====================================================================================
// Classes defined in this interface
//=====================================================================================
class XMPPlatformTypeSet;

//=====================================================================================
// Classes used by this interface
//=====================================================================================
class OrderedCollection;

//=====================================================================================
// Class XMPPlatformTypeSet
//=====================================================================================

#define kXMPPlatformTypeSetID "appl:xmpplatformtypeset$class,1.0.0"

class XMPPlatformTypeSet
{
	friend class XMPPlatformTypeSetIterator;
	
public:

	XMPPlatformTypeSet();
	
	virtual ~XMPPlatformTypeSet();
		
	XMPMethod void Add(XMPPlatformType type);
	
	XMPMethod void Union(XMPPlatformTypeSet* typeSet);

	XMPMethod void Remove(XMPPlatformType type);
		
	XMPMethod void Difference(XMPPlatformTypeSet* typeSet);
	
	XMPMethod XMPBoolean Contains(XMPPlatformType type);
	
	XMPMethod XMPULong Count();
		
	XMPVMethod XMPPlatformTypeSetIterator* CreatePlatformTypeSetIterator();

private:

	OrderedCollection*	fSet;

};

#endif	// _PFTYPST_
