/*
	File:		SURefItr.h

	Contains:	definition of XMPStorageUnitRefIterator

	Written by: Vincent Lo

	Copyright:	 1992-3 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <1>	  2/4/94	VL		first checked in

*/

#ifndef _SUREFITR_
#define _SUREFITR_

#ifndef _XMPTYPES_
#include "XMPTypes.h"
#endif

#ifndef __CM_API__
#include "CMAPI.h"
#endif

//==============================================================================
// Classes defined in this interface
//==============================================================================
class	XMPStorageUnitRefIterator;

//==============================================================================
// Classes used by this interface
//==============================================================================
class	XMPStorageUnit;

//==============================================================================
// XMPStorageUnitRefIterator
//==============================================================================

#define kXMPStorageUnitRefIteratorID "appl:xmpstorageunitrefiterator$class,1.0.0"

class XMPStorageUnitRefIterator
{
public:

	XMPStorageUnitRefIterator(XMPStorageUnit* storageUnit);
	~XMPStorageUnitRefIterator();
	
	XMPStorageUnitRef	First();
	XMPStorageUnitRef	Next();
	XMPBoolean			IsNotComplete();
	
private:

	XMPBoolean			fNotComplete;
	CMReference			fReference;
	CMValue				fValue;
};

#endif	// _SUREFITR_
