/*
	File:		TypStItr.h

	Contains:	Class definition for XMPTypeSetIterator.

	Written by:	Vincent Lo

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <4>	 2/17/94	CC		#1144818 - Added declaration of class
									XMPTypeSet to enable standalone
									compilation.
		 <3>	 2/15/94	CG		#1143680 - changed fIterator to a
									OrderedCollectionIterator.
		 <2>	  2/9/94	T		made destructor explicitly virtual to
									pacify ASLM
		 <1>	  2/4/94	VL		first checked in

	To Do:

*/

#ifndef _TYPSTITR_
#define _TYPSTITR_

#ifndef _XMPTYPES_
#include "XMPTypes.h"
#endif

//=====================================================================================
// Classes defined in this interface
//=====================================================================================
class XMPTypeSetIterator;

//=====================================================================================
// Classes used by this interface
//=====================================================================================
class XMPTypeSet;
class OrderedCollectionIterator;

//=====================================================================================
// Class XMPTypeSetIterator
//=====================================================================================

#define kXMPTypeSetIteratorID "appl:xmptypesetiterator$class,1.0.0"

class XMPTypeSetIterator
{
public:

		XMPTypeSetIterator(XMPTypeSet* typeSet);
		
		virtual ~XMPTypeSetIterator();

		XMPMethod	XMPBoolean	IsNotComplete();
		XMPMethod	XMPType		First();
		XMPMethod	XMPType		Next();
		
private:

	  	XMPTypeSet*					fTypeSet;
		OrderedCollectionIterator*	fIterator;
};

#endif	// _TYPSTITR_
